Package Details: cnijfilter-ip4500 2.80-5

Git Clone URL: https://aur.archlinux.org/cnijfilter-ip4500.git (read-only, click to copy)
Package Base: cnijfilter-ip4500
Description: Canon IJ Printer Driver for Pixma IP4700 series Inkjet Printers
Upstream URL: http://software.canon-europe.com/software/0028476.asp
Licenses: custom
Submitter: lynix
Maintainer: lynix
Last Packager: lynix
Votes: 0
Popularity: 0.000000
First Submitted: 2010-10-02 19:20
Last Updated: 2021-03-22 17:57

Latest Comments

lynix commented on 2021-03-22 17:59

Thanks, patch applied.

I must say I don't feel like the best maintainer for this as I don't own that printer anymore, so I cannot test. If anyone would like to step up as maintainer please let me know.

SvenX commented on 2021-03-21 19:35

This package won't build/install in current Arch as the package lib32-libtiff3 is not available anymore. The page http://linuxg.net/how-to-install-drivers-for-canon-printers-pixma-ip-series-on-ubuntu-14-0413-1013-0412-1012-04-linux-mint-16151413-pear-os-87-and-elementary-os-0-2/ shows that it seems to also work with lib32-libtiff4. I've tried it with the attached patch and it printed.

diff --git a/PKGBUILD b/PKGBUILD
index 629ab90..f365d8f 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -14,8 +14,8 @@ license=('custom')
 depends=('lib32-libpng12' 'cups' 'lib32-e2fsprogs' 'lib32-glibc' 'lib32-gnutls'
          'lib32-libcups' 'lib32-libgcrypt' 'lib32-libgpg-error'
          'lib32-libtasn1' 'lib32-openssl' 'lib32-popt' 'lib32-sqlite' 'lib32-zlib'
-         'lib32-libtiff3')
-makedepends=('rpmextract')
+         'lib32-libtiff4')
+makedepends=('rpmextract' 'patchelf')
 source=('http://files.canon-europe.com/files/soft28476/software/28476.tgz'
                'canonip4500.ppd.patch')
 install=cnijfilter-ip4500.install
@@ -36,6 +36,7 @@ build() {
   mv usr/lib32/bjlib usr/lib

   patch usr/share/cups/model/canonip4500.ppd ${startdir}/canonip4500.ppd.patch || return 1
+  patchelf --replace-needed libtiff.so.3 libtiff.so.4 usr/local/bin/cifip4500 || return 1
 }

 package() {

lynix commented on 2017-01-03 20:57

Pushed a new PKGBUILD to reflect sqlite dependency renaming, thanks for reporting this.

I'm currently unable to build this package tough, as lib32-libtiff3 currently does not build for me.

@Scimmia: Will look into this as well, thanks.

jpmac26 commented on 2017-01-03 20:38

The dependency "lib32-sqlite3" is now called "lib32-sqlite", and this package currently fails to build due to the incorrect dependency name.

Scimmia commented on 2016-11-21 00:03

This should use bsdtar to extract the rpm file, no need to pull in a useless makedep.

lynix commented on 2012-06-18 20:39

Bumped pkgrel to reflect dropped dependency: lib32-heimdal

lynix commented on 2012-02-10 18:57

Bumped pkgrel to reflect new dependency: lib32-libtiff3